以下是javaScript 1.7版本的更新日志,这个版本被包括在 Firefox 2 (2006年10月)。

 

JavaScript 1.7是一个引出了一些新特性的语言更新,尤其是generator,iterator,数组推导式, let 表达式和解构赋值。

使用 JavaScript 1.7

为了使用 JavaScript 1.7的一些新特性,你需要明确指出你希望使用 JavaScript 1.7。在HTML 或XUL code中,使用:

<script type="application/javascript;version=1.7"></script>

当使用 JavaScript shell的时候,你需要用 -version 170 开启命令行或者用version() 函数来设置你想使用的JavaScript版本。

version(170);

你需要指定1.7版本来使用新的“yield”和“let”关键字,因为现存的代码可能用它们当变量或者函数名用。没有涉及到新关键词的特性(比如解构赋值和数组推导式)可以直接使用,而不需要指明JavaScript版本。

JavaScript 1.7的新特性

以下JavaScript 1.7的新特性目前还不是ECMA-262标准的一部分。在最近的Firefox版本中会根据ECMAScipt6中的描述来实现这些功能。具体内容见这些参考页面。

文档标签和贡献者

 此页面的贡献者: luojia, AlexChao, 876843240, wth, teoli, ziyunfei, pokerqueen
 最后编辑者: luojia,